// Browser Reset
@import "Plugins/reset";
// Bootstrap components
// Use Bootstrap/bootstrap.less to enable/disable features
@import "Bootstrap/variables";
@import "Bootstrap/bootstrap";
// Später einschalten, dauert dann lange zum Compilieren
@import "../Contrib/fontawesome/scss/fontawesome";
@import "../Contrib/fontawesome/scss/solid";
@import "../Contrib/fontawesome/scss/regular";
@import "../Contrib/fontawesome/scss/brands";
//@import "mixins";
// Theme Variables
@import "variables";
// Theme Plugins
@import "Plugins/cookiebar";
//@import "Plugins/slick";
// Modules
// Pages

// #############################
// Default content Styles
// ##############################

.std-header {
  .singlemainline,
  .mainline {
  }

  .subline {
  }
}

// Default space height after content element
.frame-space-after {
  &-extra-small {
    //    margin-bottom: 5px;
  }

  &-small {
    //    margin-bottom: 15px;
  }

  &-medium {
    //    margin-bottom: 30px;
  }

  &-large {
    //    margin-bottom: 45px;
  }

  &-extra-large {
    //    margin-bottom: 60px;
  }
}

.frame {
  .std-header {
    .singlemainline,
    .subline {
    }

    .mainline {
    }
  }

  // RTE styles
  p.bodytext {
  }

  ul {
    li {
    }
  }

  ol {
    li {

    }
  }
}

// Default Fancybox Styles
.fancybox-container {
  .fancybox-button- {
    &-play,
    &-fullscreen,
    &-thumbs,
    &-share {
      display: none !important;
    }
  }
}


// ##############################
// Mobile first media queries
// ##############################
// Mobile and beyound
// ##############################


// ##############################
// SM and beyond
// ##############################
@include media-breakpoint-up(sm) {

}

// ##############################
// MD and beyond
// ##############################
@include media-breakpoint-up(md) {

}

// ##############################
// LG and beyond
// ##############################
@include media-breakpoint-up(lg) {

}

// ##############################
// XL and beyond
// ##############################
@include media-breakpoint-up(xl) {

}